Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Typedef Nes::Api::Input::ControllerCallback

Controller event callback prototype. Will be invoked every time a new controller is connected to a port.

Parameters:
  `userData` - optional user data
  `port` - port
  `type` - controller

Details

### ControllerCallback

    public typedef void( NST_CALLBACK* ControllerCallback )( UserData userData, uint port, Type type );

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD